Download it now!
Bug 120015 - Crash in: chart::EquidistantTickIter::initIter(long)
Summary: Crash in: chart::EquidistantTickIter::initIter(long)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2 all versions
Hardware: All All
: high major
Assignee: Markus Mohrhard
URL:
Whiteboard: target:6.2.0 target:6.1.3
Keywords: bibisected, bisected, haveBacktrace, regression
: 120016 120017 120018 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-09-20 18:51 UTC by gpkiwi@msn.com
Modified: 2018-10-04 09:03 UTC (History)
5 users (show)

See Also:
Crash report or crash signature: ["chart::EquidistantTickIter::initIter(long)"]


Attachments
calc ss with graph (22.09 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-09-20 18:51 UTC, gpkiwi@msn.com
Details
gdb backtrace (33.82 KB, text/plain)
2018-09-25 00:05 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gpkiwi@msn.com 2018-09-20 18:51:10 UTC
Created attachment 145077 [details]
calc ss with graph

This bug was filed from the crash reporting server and is br-0c45357f-e1e4-491b-9f29-645f5c1c2f10.
=========================================
Right click x-axis -> format axis -> Select Logarithmic scale, Un-select Automatic for minimum, maximum, click OK. The 1st two times I tried this it crashed. On my  4th try it did not crash. On my 3rd startup I allowed it to start in safe mode. Perhaps it's still in safe mode, who knows.
Widows 10
Version: 6.1.0.3 (x64)
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (en_US); Calc: group threaded
Comment 1 Telesto 2018-09-20 20:22:27 UTC
*** Bug 120018 has been marked as a duplicate of this bug. ***
Comment 2 Telesto 2018-09-20 20:22:46 UTC
*** Bug 120017 has been marked as a duplicate of this bug. ***
Comment 3 Telesto 2018-09-20 20:23:03 UTC
*** Bug 120016 has been marked as a duplicate of this bug. ***
Comment 4 MM 2018-09-21 08:33:04 UTC
Confirmed on windows 7 x64 with Version: 6.0.6.2 (x64)
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 3; OS: Windows 6.1; UI render: default

crashreport.libreoffice.org/stats/crash_details/9f4691ca-c95e-48b0-a7ee-ef21423c49ea
Comment 5 raal 2018-09-21 09:31:24 UTC Comment hidden (obsolete)
Comment 6 Oliver Brinzing 2018-09-21 13:44:52 UTC
is it the same bug as reported in

Crash editing axis extent on X-Y plot
https://bugs.documentfoundation.org/show_bug.cgi?id=119932 ?
Comment 7 MM 2018-09-21 19:15:35 UTC
(In reply to Oliver Brinzing from comment #6)
> is it the same bug as reported in
> 
> Crash editing axis extent on X-Y plot
> https://bugs.documentfoundation.org/show_bug.cgi?id=119932 ?

It doesn't look that way. I can't reproduce that one.
This report is about changing the logarithmic scale & automatic min/max. If you just change min and/or max (or scale and min or max) there's no crash.
Comment 8 Oliver Brinzing 2018-09-21 19:29:33 UTC
(In reply to MM from comment #7)
yes, i can not repoduce bug 119932
but i can confirm this bug with:

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 3a807c6d6176caaec83654204a2cca41e1be28ea
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: threaded

---------------------------
Microsoft Visual C++ Runtime Library
---------------------------
Assertion failed!

Program: D:\sources\libo-core\instdir\program\vcllo.dll
File: D:/sources/libo-core/vcl/source/app/scheduler.cxx
Line: 605
Expression: nullptr == mpSchedulerData || utl::ConfigManager::IsFuzzing()
Comment 9 Markus Mohrhard 2018-09-24 23:13:17 UTC
(In reply to raal from comment #5)
> This seems to have begun at the below commit.
> Adding Cc: to Mohammed Abdul Azeem; Could you possibly take a look at this
> one? Thanks
> 
> 868958b95c218786e6d0c95517ff1866cdce1b26 is the first bad commit
> commit 868958b95c218786e6d0c95517ff1866cdce1b26
> Author: Norbert Thiebaud <nthiebaud@gmail.com>
> Date:   Sun Sep 25 07:05:21 2016 -0700
> 
>     source sha:5678bc99fb685fe09191e8419a1121e565f97f80
> 
> author	Mohammed Abdul Azeem <azeemmysore@gmail.com>	2016-09-25 11:06:32 +0530
> committer	Noel Grandin <noel.grandin@collabora.co.uk>	2016-09-25 13:22:51
> +0000
> commit	5678bc99fb685fe09191e8419a1121e565f97f80 (patch)
> tree	daf36cf7506eea6dc9ecd5247a87e982037ccb45
> parent	8dc46fc45b5c7d833caca331a9045167d1794f1a (diff)
> tdf#101935 and tdf#102201:
> This fixes both the bugs.

Hey raal,

I'm not sure if that commit is really the issue. This is purely a XML parser change whereas the problem is the result of not getting any major ticks in the chart for the logarithmic axis without adjusting the range.
Comment 10 Xisco Faulí 2018-09-24 23:47:16 UTC
Also reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 66232248ff55639052ddb76918d555e21dc9c46b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 11 Xisco Faulí 2018-09-25 00:02:02 UTC
Regression introduced by:

author	Laurent Balland-Poirier <laurent.balland-poirier@laposte.net>	2016-01-02 15:02:00 +0100
committer	jan iversen <jani@documentfoundation.org>	2016-01-08 10:54:08 +0000
commit	5553d6a9314fd778b9a124d8a2c7e9dd1d7a58a3 (patch)
tree	ba7296c19328f412e5d85f362930b63f1335b64b
parent	0c0c8de9b2df98c7d6394e703fc2fcb9e97e20c0 (diff)
tdf#96807 Reset min/max of auto scale
Y minimum for auto scale was accidentaly set to 0.
This avoided correct calculation of Y auto log scale (tdf#96807)
But also set linear Y auto scale from 0 (tdf#85690)

This fix detects if both min and max are equal to 0, and reset them (+-inf)

Bisected with: bibisect-linux-64-5.2
Comment 12 Xisco Faulí 2018-09-25 00:05:31 UTC
Created attachment 145147 [details]
gdb backtrace
Comment 13 Commit Notification 2018-09-25 00:54:23 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=217cb86dd06f0c539d6181d9b7fd0d71c4edd628

tdf#120015, don't crash without major tick marks

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Xisco Faulí 2018-09-25 09:08:38 UTC
No longer crashes in

Version: 6.2.0.0.alpha0+
Build ID: daf44342ca82c5b0e79da88b7f9dbf28f6d43a8b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Markus, thanks for fixing this!

OTOH, now the X axis disappear when following the steps in comment 0, is that the expected behaviour ?
Comment 15 Xisco Faulí 2018-09-25 09:10:23 UTC
Cherry-picked to 6-1 -> https://gerrit.libreoffice.org/#/c/60962/
Comment 16 Commit Notification 2018-10-04 09:03:50 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b86f5f438f1a6973830d2a588f6c5356b3c70bcf&h=libreoffice-6-1

tdf#120015, don't crash without major tick marks

It will be available in 6.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.